Does APM support WebSphere Liberty 21.0?

book

Article ID: 224260

calendar_today

Updated On:

Products

CA Application Performance Management (APM / Wily / Introscope)

Issue/Introduction

Does APM support WebSphere Liberty 21.0?

Environment

Release : 20.2

Component : APM Agents

Resolution

For now, we do not support WebSphere Liberty 21.0 as native monitoring. You can workaround by:

a. You must add wily package as boot delegation at the JVM arguments, as below:

-Dorg.osgi.framework.bootdelegation=com.wily,com.wily.*,sun.*

b. Start the application and the error should be gone.

https://knowledge.broadcom.com/external/article?articleId=188714

An enhancement requested was already raised in order to have WebSphere Liberty 21.0 in our monitoring portfolio, it will be evaluated and put in our backlog to be deployed soon.

To follow up on the status of this request, please raise a ticket on https://support.broadcom.com/ and refer to this knowledge article in order to get the status.